import FWCore.ParameterSet.Config as cms

process = cms.Process("ethDigidumper")

process.load("FWCore.MessageService.MessageLogger_cfi")

process.load("EventFilter.EcalRawToDigiDev.EcalUnpackerMapping_cfi")
process.load("EventFilter.EcalRawToDigiDev.EcalUnpackerData_cfi")

process.load("Geometry.EcalMapping.EcalMapping_cfi")
process.load("Geometry.EcalMapping.EcalMappingRecord_cfi")

process.load('Configuration/StandardSequences/FrontierConditions_GlobalTag_cff')
process.GlobalTag.globaltag = 'GR09_R_V6A::All'


process.load("Configuration.StandardSequences.RawToDigi_Data_cff")
process.load("Configuration.StandardSequences.Reconstruction_cff")



process.TFileService = cms.Service("TFileService",
        fileName = cms.string("data.root")
        # closeFileFast = cms.untracked.bool(True)
)




# for dat files
process.maxEvents = cms.untracked.PSet( input = cms.untracked.int32(10) )
process.source = cms.Source("NewEventStreamFileReader",     fileNames =cms.untracked.vstring(
  'rfio:/castor/cern.ch/cms/store/streamer/PrivEcal330/A/000/120/300/ecal_local.00120300.0001.A.storageManager.00.0000.dat'
  )
)


#for ROOT files
#process.source = cms.Source("PoolSource",
#    # replace 'myfile.root' with the source file you want to use
#    fileNames = cms.untracked.vstring(
# 'rfio:/castor/cern.ch/cms/store/streamer/PrivEcal330/A/000/120/300/ecal_local.00120300.0001.A.storageManager.00.0000.root'
#    )
#)

process.demo = cms.EDAnalyzer('ETH_digiDumper')
process.demo.EBDigiCollection = cms.InputTag("ecalDigis","ebDigis")
process.demo.EEDigiCollection = cms.InputTag("ecalDigis","eeDigis")


process.p = cms.Path(process.ecalDigis*process.demo)
